Subject: Re: bug#21681: [PATCH] Fix formatting of lexical-binding at eof warning

From: Noam Postavsky <[email-masked]>
Date: Sun, 24 Jan 2016 14:34:31 -0500

On Sun, Jan 24, 2016 at 1:51 PM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Sun, 24 Jan 2016 13:43:04 -0500
>> From: Noam Postavsky <[email-masked]>
>> Cc: [email-masked]
>>
>> Warning (files): foo.el: ‘lexical-binding’ at end of file unreliable
>                                              ^^^^^^^^^^^^^^
> But foo.el is not a file in this case.

Huh? Yes it is.  Perhaps you missed the bug: `display-warning' is
called from inside `with-temp-buffer`, so we need to use `thisbuf' to
reference the original buffer that we are calling
`hack-local-variables' for.  Hmm, perhaps my commit message should
have explained that better.